function []=ploteye(x,points,startpoint,symbols)
%function []=ploteye(x,points,startpoint,symbols)
%x: signal (amplitude of useful signal must be normalized to 1
%points: per signalling interval
%startpoint: starting offset
%symbols: total number of transmitted symbols

%Fulvio Babich 2001

h0=figure;
h1 = axes('Parent',h0, ...
          'XLimMode','manual', ...
          'XLim',[1, 1+points], ...
          'YLimMode','manual', ...
          'YLim',[-max(abs(x)), max(abs(x))], ...
 	  'XTickMode','manual', ...
          'XTick',[1 points/2+1 points+1], ...
	  'YTickMode','manual', ...
          'YTick',[-1 0 1],...
          'GridLineStyle','-',...
          'Ygrid','on',...
          'Xgrid','on');
hold
plot(x(startpoint:startpoint+points));
for i=2:symbols, plot(x(startpoint+(i-1)*points:startpoint+i*points)); end 
axis([1, 1+points, -max(abs(x)), max(abs(x))]);

hold